Public Member Functions | List of all members
WP3EndOfLinePageGroup Class Reference

`#include <WP3EndOfLinePageGroup.h>`

Inheritance diagram for WP3EndOfLinePageGroup:

## Public Member Functions
| WP3EndOfLinePageGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | parse (WP3Listener *listener) override
Public Member Functions inherited from WP3VariableLengthGroup
| WP3VariableLengthGroup ()
| ~WP3VariableLengthGroup () override
Public Member Functions inherited from WP3Part
virtual | ~WP3Part ()

## Additional Inherited Members
Static Public Member Functions inherited from WP3VariableLengthGroup
static WP3VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
Static Public Member Functions inherited from WP3Part
static WP3Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)
Protected Member Functions inherited from WP3VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual void | _readContents (librevenge::RVNGInputStream *, WPXEncryption *)
unsigned char | getSubGroup () const
unsigned short | getSize () const

## Constructor & Destructor Documentation

## ◆ WP3EndOfLinePageGroup()

WP3EndOfLinePageGroup::WP3EndOfLinePageGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |

## Member Function Documentation

## ◆ parse()

void WP3EndOfLinePageGroup::parse | ( | WP3Listener * | listener | ) |
| override virtual

Implements WP3Part.

The documentation for this class was generated from the following files:

- WP3EndOfLinePageGroup.h
- WP3EndOfLinePageGroup.cpp